Page MenuHomeFreeBSD

efibootmgr(8): fix markup and style issues
ClosedPublic

Authored by yuripv on Sep 19 2019, 8:25 AM.

Details

Summary

just something I noticed while actually reading the man page..

  • fix markup in synopsis
  • sort options
  • fix issues reported by mandoc -Tlint
Test Plan
SYNOPSIS
     efibootmgr [-v]
     efibootmgr -a -b bootnum
     efibootmgr -A -b bootnum
     efibootmgr -B -b bootnum
     efibootmgr -c -l loader [-aD] [-b bootnum] [-k kernel] [-L label]
     efibootmgr -n -b bootnum
     efibootmgr -N
     efibootmgr -o bootorder
     efibootmgr -t timeout
     efibootmgr -T

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuripv created this revision.Sep 19 2019, 8:25 AM
yuripv updated this revision to Diff 62298.Sep 19 2019, 9:05 AM
yuripv edited the test plan for this revision. (Show Details)

actually split the synopsis into separate options that can't be used together

yuripv added a reviewer: imp.Sep 24 2019, 12:15 PM

Warner, does this make sense to you/won't interfere with other changes you might be working on?

imp accepted this revision.Sep 25 2019, 8:39 PM

This looks good to me.

This revision is now accepted and ready to land.Sep 25 2019, 8:39 PM
This revision was automatically updated to reflect the committed changes.